Bug 206697 - Umlauts are locking backspace key in TUI dialog window
Umlauts are locking backspace key in TUI dialog window
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
Blocks: FC7Blocker
  Show dependency treegraph
Reported: 2006-09-15 15:18 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-08 15:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-09-15 15:18:26 EDT
Description of problem:
When typing a umlaut e.g. a "ö" in the directory field at the http setup TUI 
dialog window, backspace key will be locked. Workaround is to click on "Back"
to get a usable http setup TUI dialog window during repeating the step.

The selected language setting was English with a German keyboard. As this is a 
common setting in Germany, this has to work, because "äöü" is near the "Enter" 
key and it's likely that umlauts are pressed by mistake.

Version-Release number of selected component (if applicable):

How reproducible:
Everytime, see above.

Actual results:
Umlauts are locking backspace key in TUI dialog window.

Expected results:
No locking, normal use of backspace key to delete the umlaut.
Comment 1 Jeremy Katz 2006-09-18 13:47:47 EDT
Can you reproduce this after install in any other newt apps?
Comment 2 Robert Scheck 2006-09-18 14:31:56 EDT
Nope, umlauts are working in authconfig and system-config-network-tui (IIRC they 
are using snack which is newt).
Comment 3 Jeremy Katz 2006-09-18 14:39:59 EDT
Yep, that should be it.  Not sure what we're doing to set things up differently
but we'll try to figure it out
Comment 4 Miroslav Lichvar 2006-10-11 03:41:19 EDT
It is a problem in wlite/unicode-lite, mblen() doesn't work correctly with these
Comment 5 Peter Jones 2006-10-17 17:53:13 EDT
Miroslav, is there a way I can reproduce this problem in a small, standalone
newt app?  I tried making "testgrid" link against our wlite code, and it seems
to work fine with umlauts in its entry boxes. 
Comment 6 Miroslav Lichvar 2006-10-20 03:39:51 EDT
Yes, testgrid is ok. I reproduced the bug with binary linked like this:

gcc -static testgrid.c -L.../wlite -L.../stubs -lnewt -lslang -lunicode-lite -lwlite
Comment 7 Robert Scheck 2006-12-20 05:47:10 EST
Comment 8 Robert Scheck 2007-02-23 11:21:07 EST
What's the current status? Do we get this fixed for Fedora 7?
Comment 9 Miroslav Lichvar 2007-04-05 07:02:19 EDT
newt since 0.52.4 doesn't store characters in entry that didn't pass mbrtowc, so
all characters that can be entered can be also deleted now.

If there is no need to enter unicode chars in the first stage, this bug can be
Comment 10 Robert Scheck 2007-04-05 08:11:54 EDT
As there is no IDN support within anaconda (right?), there is currently no need 
to enter unicode characters in first stage, but when this changes, there will 
be need for this (e.g. mirrors named ftp.fädöra.de).
Comment 11 Robert Scheck 2007-04-05 08:13:17 EDT
Nevertheless entering and deleting umlauts should be possible in stage one if 
somebody mistypes, but this works when I understood you correct?
Comment 12 Miroslav Lichvar 2007-04-05 08:28:25 EDT
No, it's not possible to enter umlauts, therefore the entry won't have any
characters that can't be deleted.
Comment 13 Will Woods 2007-05-08 12:32:35 EDT
If I understand correctly, you can no longer type umlauts at all, so this
problem is not present in F7.

If that's correct, we should drop this from the FC7Blocker list and add it to
the target list for whichever release we plan to add IDN support in.
Comment 14 Robert Scheck 2007-05-08 15:04:33 EDT
I verified in Fedora 7 test 4 and works for me.

Note You need to log in before you can comment on or make changes to this bug.